[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# multiply(Tvector2_extended,extended):Tvector2_extended

Multiply a two-dimensional extended precision vector by a scalar

## Declaration

Source position: matrix.pp line 430

`operator operator *(`
`const x: Tvector2_extended;`
`y: extended`
`):Tvector2_extended;`

## Description

This operator allows you to multiply a vector by a scalar value. Each vector element is multiplied by the scalar value; the result is returned as a new vector.